org.eclipse.emf.cdo.view

## Interface CDOViewSet

- All Superinterfaces:
    Notifier
  All Known Subinterfaces:
    InternalCDOViewSet

      public interface CDOViewSet
      extends Notifier

  A `ResourceSet` adapter to associate a set of `CDOView` instances.

  Note: A view set must have exactly one resource set associated. A resource set can have only one view set associated.

  Since:
    2.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.
  Apiviz
  Apiviz
    `EPackage.Registry`, `ResourceSet`, `CDOResourceFactory`
  Apiviz
    `CDOView` - - views

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `EPackage.Registry` | `getPackageRegistry()`
    `CDOResourceFactory` | `getResourceFactory()`
    `ResourceSet` | `getResourceSet()`
    `CDOView[]` | `getViews()`
    `CDOView` | `resolveView(String repositoryUUID)` Deprecated. As of 4.4 use `resolveView(URI)`.
    `CDOView` | `resolveView(URI viewURI)`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### resolveView

          @Deprecated
          CDOView resolveView(String repositoryUUID)

      Deprecated. As of 4.4 use `resolveView(URI)`.

    - #### resolveView

          CDOView resolveView(URI viewURI)

      Since:
        4.4

    - #### getViews

          CDOView[] getViews()

    - #### getResourceFactory

          CDOResourceFactory getResourceFactory()

    - #### getPackageRegistry

          EPackage.Registry getPackageRegistry()

    - #### getResourceSet

          ResourceSet getResourceSet()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html